## ros-melodic-moveit-planners-chomp 1.0.7

=== debian/changelog ===
ros-melodic-moveit-planners-chomp (1.0.7-1stretch) stretch; urgency=high

  * [feature] Start new joint_state_publisher_gui on param use_gui (#2257 <https://github.com/ros-planning/moveit/issues/2257>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * [maint] Replace $(find xacro)/xacro -> xacro (#2282 <https://github.com/ros-planning/moveit/issues/2282>)
  * Contributors: Felix von Drigalski, Robert Haschke, Yoan Mollard

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-moveit-planners-chomp (1.0.6-1stretch) stretch; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-moveit-planners-chomp (1.0.5-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 08 Jul 2020 06:00:00 -0000

ros-melodic-moveit-planners-chomp (1.0.4-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 30 May 2020 06:00:00 -0000

ros-melodic-moveit-planners-chomp (1.0.3-1stretch) stretch; urgency=high

  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 26 Apr 2020 06:00:00 -0000

ros-melodic-moveit-planners-chomp (1.0.2-1stretch) stretch; urgency=high

  * [fix] Fix chomp planner (#1512 <https://github.com/ros-planning/moveit/issues/1512>)
    * Fix start-state handling
    * remove time parameterization from planning code
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 28 Jun 2019 06:00:00 -0000

ros-melodic-moveit-planners-chomp (1.0.1-1stretch) stretch; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 08 Mar 2019 07:00:00 -0000

ros-melodic-moveit-planners-chomp (1.0.0-1stretch) stretch; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 24 Feb 2019 07:00:00 -0000

ros-melodic-moveit-planners-chomp (0.10.8-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 24 Dec 2018 07:00:00 -0000

ros-melodic-moveit-planners-chomp (0.10.7-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 13 Dec 2018 07:00:00 -0000

ros-melodic-moveit-planners-chomp (0.10.6-1stretch) stretch; urgency=high

  * [maintenance] Rearranged CHOMP-related modules within moveit_planners/chomp (#1251 <https://github.com/ros-planning/moveit/issues/1251>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 09 Dec 2018 07:00:00 -0000

ros-melodic-moveit-planners-chomp (0.10.5-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 01 Nov 2018 06:00:00 -0000

ros-melodic-moveit-planners-chomp (0.10.4-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 29 Oct 2018 06:00:00 -0000

ros-melodic-moveit-planners-chomp (0.10.3-1stretch) stretch; urgency=high

  * [fix] Build regression (#1134 <https://github.com/ros-planning/moveit/issues/1134>)
  * [fix] compiler warnings (#1089 <https://github.com/ros-planning/moveit/issues/1089>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 29 Oct 2018 06:00:00 -0000

ros-melodic-moveit-planners-chomp (0.10.2-1stretch) stretch; urgency=high

  * [fix] chomp tests: fix order of moveit includes (#970 <https://github.com/ros-planning/moveit/issues/970>)
  * [fix] needs to depend on cmake_modules. (#976 <https://github.com/ros-planning/moveit/issues/976>)
  * [capability][chomp] Failure recovery options for CHOMP by tweaking parameters (#987 <https://github.com/ros-planning/moveit/issues/987>)
  * [capability][chomp] cleanup of unused parameters and code + addition of trajectory initialization methods (linear, cubic, quintic-spline) (#960 <https://github.com/ros-planning/moveit/issues/960>)
  * [maintenance] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [maintenance] add minimum required pluginlib version (#927 <https://github.com/ros-planning/moveit/issues/927>)
  * Contributors: Chris Lalancette, Michael Görner, Mikael Arguedas, Raghavender Sahdev, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 24 Oct 2018 06:00:00 -0000

ros-melodic-moveit-planners-chomp (0.10.1-1stretch) stretch; urgency=high

  * [fix] dependencies for chomp interface test (#778 <https://github.com/ros-planning/moveit/issues/778>)
  * [maintenance] MoveIt! tf2 migration (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * Contributors: Bence Magyar, Dave Coleman, Ian McMahon, Mikael Arguedas, Robert Haschke, Stephan, Will Baker

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 25 May 2018 06:00:00 -0000

ros-melodic-moveit-planners-chomp (0.9.11-1stretch) stretch; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 25 Dec 2017 07:00:00 -0000

ros-melodic-moveit-planners-chomp (0.9.10-1stretch) stretch; urgency=high

  * [package.xml] Update maintainers (Add a release-maintainer etc.)
    For the reasoning, see https://github.com/ros-planning/moveit/issues/259

