=== debian/control ===
Source: ros-melodic-moveit-planners-chomp
Section: misc
Priority: optional
Maintainer: Chittaranjan Srinivas Swaminathan <chitt@live.in>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-chomp-motion-planner, ros-melodic-moveit-core, ros-melodic-moveit-ros-planning-interface, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-roscpp, ros-melodic-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-moveit-planners-chomp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-chomp-motion-planner, ros-melodic-moveit-core, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-roscpp
Description: The interface for using CHOMP within MoveIt!
