## ros-melodic-moveit-planners-chomp 1.0.11

=== debian/changelog ===
ros-melodic-moveit-planners-chomp (1.0.11-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-moveit-planners-chomp (1.0.10-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-moveit-planners-chomp (1.0.9-1bionic) bionic; urgency=high

  * Use mailto:moveit-resources@master (#2951 <https://github.com/ros-planning/moveit/issues/2951>)
    
      * Simplify launch files to use the test_environment.launch files from mailto:moveit_resources@master
      * Provide compatibility to the Noetic-style configuration of (multiple) planning pipelines
        Only a single pipeline can be used at a time, specified via the ~default_planning_pipeline parameter.
    
  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-moveit-planners-chomp (1.0.8-1bionic) bionic; urgency=high

  * Sanitize CHOMP initialization method parameter (#2540 <https://github.com/ros-planning/moveit/issues/2540>)
  * Contributors: Cong Liu

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-moveit-planners-chomp (1.0.7-1bionic) bionic; urgency=high

  * [feature] Start new joint_state_publisher_gui on param use_gui (#2257 <https://github.com/ros-planning/moveit/issues/2257>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * [maint] Replace $(find xacro)/xacro -> xacro (#2282 <https://github.com/ros-planning/moveit/issues/2282>)
  * Contributors: Felix von Drigalski, Robert Haschke, Yoan Mollard

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-moveit-planners-chomp (1.0.6-1bionic) bionic; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-moveit-planners-chomp (1.0.5-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 07 Jul 2020 22:00:00 -0000

ros-melodic-moveit-planners-chomp (1.0.4-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 29 May 2020 22:00:00 -0000

ros-melodic-moveit-planners-chomp (1.0.3-1bionic) bionic; urgency=high

  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 25 Apr 2020 22:00:00 -0000

ros-melodic-moveit-planners-chomp (1.0.2-1bionic) bionic; urgency=high

  * [fix] Fix chomp planner (#1512 <https://github.com/ros-planning/moveit/issues/1512>)
    * Fix start-state handling
    * remove time parameterization from planning code
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 27 Jun 2019 22:00:00 -0000

ros-melodic-moveit-planners-chomp (1.0.1-1bionic) bionic; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 07 Mar 2019 23:00:00 -0000

ros-melodic-moveit-planners-chomp (1.0.0-1bionic) bionic; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 23 Feb 2019 23:00:00 -0000

ros-melodic-moveit-planners-chomp (0.10.8-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 23 Dec 2018 23:00:00 -0000

ros-melodic-moveit-planners-chomp (0.10.7-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 12 Dec 2018 23:00:00 -0000

ros-melodic-moveit-planners-chomp (0.10.6-1bionic) bionic; urgency=high

  * [maintenance] Rearranged CHOMP-related modules within moveit_planners/chomp (#1251 <https://github.com/ros-planning/moveit/issues/1251>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 08 Dec 2018 23:00:00 -0000

ros-melodic-moveit-planners-chomp (0.10.5-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 31 Oct 2018 23:00:00 -0000

ros-melodic-moveit-planners-chomp (0.10.4-1bionic) bionic; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-moveit-planners-chomp (0.10.3-1bionic) bionic; urgency=high

  * [fix] Build regression (#1134 <https://github.com/ros-planning/moveit/issues/1134>)
  * [fix] compiler warnings (#1089 <https://github.com/ros-planning/moveit/issues/1089>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-moveit-planners-chomp (0.10.2-1bionic) bionic; urgency=high

  * [fix] chomp tests: fix order of moveit includes (#970 <https://github.com/ros-planning/moveit/issues/970>)
  * [fix] needs to depend on cmake_modules. (#976 <https://github.com/ros-planning/moveit/issues/976>)
  * [capability][chomp] Failure recovery options for CHOMP by tweaking parameters (#987 <https://github.com/ros-planning/moveit/issues/987>)

