=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Chittaranjan Srinivas Swaminathan <chitt@live.in>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-chomp-motion-planner, ros-melodic-moveit-core, ros-melodic-moveit-ros-planning-interface, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-roscpp, ros-melodic-rostest
+Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-chomp-motion-planner, ros-melodic-moveit-core, ros-melodic-moveit-ros-planning-interface <!nocheck>, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-roscpp, ros-melodic-rostest <!nocheck>
 Homepage: 
 Standards-Version: 3.9.2
